Bug 172395 - [update] security/binwalk 0.4.3 -> 0.4.5
[update] security/binwalk 0.4.3 -> 0.4.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jason E. Hale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 13:30 UTC by fbsd-ports
Modified: 2012-10-07 21:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.09 KB, patch)
2012-10-06 13:30 UTC, fbsd-ports
no flags Details | Diff
binwalk.diff (3.00 KB, patch)
2012-10-07 14:47 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fbsd-ports 2012-10-06 13:30:12 UTC
	[patch update] security/binwalk 0.4.3 -> 0.4.5

How-To-Repeat: 	-
Comment 1 Jason E. Hale freebsd_committer 2012-10-07 03:15:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 Jason E. Hale freebsd_committer 2012-10-07 14:47:19 UTC
Can I get your approval on the attached patch?

- Fix PLIST_FILES...etc/binwalk/magic.o isn't installed
- The preprocessor was failing to find curl header CFLAGS -> CPPFLAGS
- Drop specific ABI version numbers from LIB_DEPENDS
- Trim Makefile header
- Convert to new options framework
- Added patch to fix build on 7.x
Comment 3 pi 2012-10-07 14:49:20 UTC
Hi!

> Can I get your approval on the attached patch?

Yes, I approve! Thank you very much!

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 4 dfilter freebsd_committer 2012-10-07 21:43:30 UTC
Author: jhale
Date: Sun Oct  7 20:43:21 2012
New Revision: 305507
URL: http://svn.freebsd.org/changeset/ports/305507

Log:
  - Update to 0.4.5 [1]
  - Drop specific ABI version numbers from LIB_DEPENDS [2]
  - Trim Makefile header [2]
  - Convert to new options framework [2]
  - Fix build on 7.x [2]
  
  PR:		ports/172395
  Submitted by:	Kurt Jaeger <fbsd-ports@opsec.eu> (maintainer) [1]
  Approved by:	makc (mentor), maintainer [2]

Added:
  head/security/binwalk/files/
  head/security/binwalk/files/patch-binwalk.c   (contents, props changed)
Modified:
  head/security/binwalk/Makefile   (contents, props changed)
  head/security/binwalk/distinfo   (contents, props changed)

Modified: head/security/binwalk/Makefile
==============================================================================
--- head/security/binwalk/Makefile	Sun Oct  7 20:35:26 2012	(r305506)
+++ head/security/binwalk/Makefile	Sun Oct  7 20:43:21 2012	(r305507)
@@ -1,11 +1,7 @@
-# New ports collection makefile for: binwalk
-# Date created: 6 February 2012
-# Whom: Kurt Jaeger <fbsd-ports@opsec.eu>
-#
 # $FreeBSD$
 
 PORTNAME=	binwalk
-PORTVERSION=	0.4.3
+PORTVERSION=	0.4.5
 CATEGORIES=	security
 MASTER_SITES=	GOOGLE_CODE
 
@@ -14,25 +10,26 @@ COMMENT=	Search binary images for embedd
 
 LICENSE=	MIT
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 
 PLIST_FILES=	bin/binwalk \
 		etc/binwalk/magic.binarch \
 		etc/binwalk/magic.bincast \
 		etc/binwalk/magic.binwalk \
-		etc/binwalk/magic.o
 PLIST_DIRS=	etc/binwalk
 
 PORTDOCS=	README
 
 GNU_CONFIGURE=	yes
-CFLAGS+=	-I${LOCALBASE}/include
+CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION}/src
 
+.include <bsd.port.options.mk>
+
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-${PORTVERSION}/docs/README ${DOCSDIR}
 .endif

Modified: head/security/binwalk/distinfo
==============================================================================
--- head/security/binwalk/distinfo	Sun Oct  7 20:35:26 2012	(r305506)
+++ head/security/binwalk/distinfo	Sun Oct  7 20:43:21 2012	(r305507)
@@ -1,2 +1,2 @@
-SHA256 (binwalk-0.4.3.tar.gz) = 2eceb316bfb65d43c3422caf5cdd3752ec5d79b1fed57253f47e8513cd9dcaac
-SIZE (binwalk-0.4.3.tar.gz) = 701052
+SHA256 (binwalk-0.4.5.tar.gz) = 0797173ef20f581e7573976c70e4b2575656d56b482a9392a8795714436da2f0
+SIZE (binwalk-0.4.5.tar.gz) = 112526

Added: head/security/binwalk/files/patch-binwalk.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/binwalk/files/patch-binwalk.c	Sun Oct  7 20:43:21 2012	(r305507)
@@ -0,0 +1,15 @@
+--- ./binwalk.c.orig	2012-10-07 07:44:55.000000000 -0400
++++ ./binwalk.c	2012-10-07 07:57:58.000000000 -0400
+@@ -78,7 +78,12 @@
+ 	
+ 	/* Initialize default configuration settings */
+ 	/* Thanks to dannyb for these flags - much improved scan times! */
++#include <sys/param.h>
++#if __FreeBSD_version >= 800086
+ 	config.flags = MAGIC_NO_CHECK_TEXT | MAGIC_NO_CHECK_ENCODING;
++#else
++	config.flags = MAGIC_NO_CHECK_ASCII;
++#endif
+ 	config.align = DEFAULT_BYTE_ALIGN;
+ 	config.smart = 1;
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jason E. Hale freebsd_committer 2012-10-07 21:43:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!